<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.testor.module.hire.dao.DepositoryAccessInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.testor.module.hire.entity.DepositoryAccessInfo">
        <id column="id" property="id" />
        <result column="hire_depository_manage_base_id" property="hireDepositoryManageBaseId" />
        <result column="access_grade_score" property="accessGradeScore" />
        <result column="access_score" property="accessScore" />
        <result column="access_safety_score" property="accessSafetyScore" />
        <result column="access_final_score" property="accessFinalScore" />
        <result column="access_sign_end_time" property="accessSignEndTime" />
        <result column="access_lease_method_code" property="accessLeaseMethodCode" />
        <result column="access_lease_method_name" property="accessLeaseMethodName" />
        <result column="access_lease_term" property="accessLeaseTerm" />
        <result column="access_lease_type_code" property="accessLeaseTypeCode" />
        <result column="access_lease_type_name" property="accessLeaseTypeName" />
        <result column="access_total_capacity" property="accessTotalCapacity" />
        <result column="access_lease_capacity" property="accessLeaseCapacity" />
        <result column="access_interact_total_capacity" property="accessInteractTotalCapacity" />
        <result column="access_crops_arry" property="accessCropsArry" />
        <result column="access_person_arry" property="accessPersonArry" />
        <result column="status" property="status" />
        <result column="create_by" property="createBy" />
        <result column="create_date" property="createDate" />
        <result column="update_by" property="updateBy" />
        <result column="update_date" property="updateDate" />
        <result column="access_hire_start_time" property="accessHireStartTime" />
        <result column="access_hire_end_time" property="accessHireEndTime" />
    </resultMap>

</mapper>
